package com.reactnative.socialcommerce

import com.facebook.react.bridge.*

class SocialCommerceModule(reactContext: ReactApplicationContext) :
  ReactContextBaseJavaModule(reactContext) {

  @ReactMethod
  fun addListener(eventName: String?, promise: Promise) {
    promise.resolve(Arguments.createMap())
  }

  @ReactMethod
  fun removeListeners(count: Int?, promise: Promise) {
    promise.resolve(Arguments.createMap())
  }

  override fun getName(): String {
    return "SocialCommerceModule"
  }

}
