package com.reactnative.socialcommerce.auth.model

import com.facebook.react.bridge.Promise

interface AuthenticationInterface {

    fun login(promise: Promise)
    fun getAccessToken(promise: Promise)
    fun getMerchantToken(promise: Promise)
    fun logout()
    fun syncCurrentOrganization(promise: Promise)
    fun getBusinessList(page: Int?, pageSize: Int?, promise: Promise)
    fun getChannelList(businessId: String?, page: Int?, pageSize: Int?, promise: Promise)
    fun changeCurrentChannel(businessId: String?, channelId: String?, promise: Promise)
    fun getCurrentOrgInfo(promise: Promise)
}