package com.reactnative.socialcommerce.util

import com.facebook.react.bridge.Arguments
import com.facebook.react.bridge.WritableMap
import org.json.JSONObject

//inline fun <reified T : Any> T.asMap(): WritableNativeMap {
//    val props = T::class.memberProperties.associateBy { it.name }
//    val writableNativeMap = WritableNativeMap()
//    writableNativeMap.let {
//        props.keys.forEach { key ->
//            when (val value = props[key]?.get(this)) {
//                is String -> {
//                    it.putString(key, value)
//                }
//                is Boolean -> {
//                    it.putBoolean(key, value)
//                }
//            }
//        }
//    }
//    return writableNativeMap
//}

inline fun <reified T : Any> T.asMap(): WritableMap {
    val jsonString = FWGsonUtil.objectToJson(this)
    val jsonObject = JSONObject(jsonString)
    return FWDataUtils.convertJsonObjectToWritableMap(jsonObject)?: Arguments.createMap()
}

object BridgeHelper {
}