//
//  AuthenticationModule.m
//  react-native-social-commerce
//
//  Created by Jeff Zheng on 2022/4/14.
//

#import <Foundation/Foundation.h>
#import <React/RCTBridgeModule.h>

@interface RCT_EXTERN_MODULE(AuthenticationModule, NSObject)

_RCT_EXTERN_REMAP_METHOD(login, loginResolver:(RCTPromiseResolveBlock)resolve
                  rejecter:(RCTPromiseRejectBlock)reject, NO)
_RCT_EXTERN_REMAP_METHOD(syncCurrentOrganization, syncCurrentOrganizationResolver:(RCTPromiseResolveBlock)resolve
                         rejecter:(RCTPromiseRejectBlock)reject, NO)
_RCT_EXTERN_REMAP_METHOD(getAccessToken, getAccessTokenResolver:(RCTPromiseResolveBlock)resolve
                         rejecter:(RCTPromiseRejectBlock)reject, NO)
_RCT_EXTERN_REMAP_METHOD(getMerchantToken, getMerchantTokenResolver:(RCTPromiseResolveBlock)resolve
                         rejecter:(RCTPromiseRejectBlock)reject, NO)
_RCT_EXTERN_REMAP_METHOD(refreshToken, refreshTokenResolver:(RCTPromiseResolveBlock)resolve
                         rejecter:(RCTPromiseRejectBlock)reject, NO)
RCT_EXTERN_METHOD(logout)

_RCT_EXTERN_REMAP_METHOD(getBusinessList, getBusinessListPage:(nonnull NSNumber *)page
                         pageSize:(nonnull NSNumber *)pageSize
                         resolver:(RCTPromiseResolveBlock)resolve
                         rejecter:(RCTPromiseRejectBlock)reject, NO)

_RCT_EXTERN_REMAP_METHOD(getChannelList, getChannelListBusinessId:(NSString *)businessId
                         page:(nonnull NSNumber *)page
                         pageSize:(nonnull NSNumber *)pageSize
                         resolver:(RCTPromiseResolveBlock)resolve
                         rejecter:(RCTPromiseRejectBlock)reject, NO)

_RCT_EXTERN_REMAP_METHOD(changeCurrentChannel, changeCurrentChannelBusinessId:(nonnull NSString *)businessId
                         channelId:(nonnull NSString *)channelId
                         resolver:(RCTPromiseResolveBlock)resolve
                         rejecter:(RCTPromiseRejectBlock)reject, NO)

_RCT_EXTERN_REMAP_METHOD(getCurrentOrgInfo, getCurrentOrgInfoRsolver:(RCTPromiseResolveBlock)resolve
                         rejecter:(RCTPromiseRejectBlock)reject, NO)

@end
