//
//  FWUserInfo.swift
//  react-native-social-commerce
//
//  Created by Jeff Zheng on 2022/4/14.
//

import Foundation

public struct FWUserInfo: Codable {
    public let uid: String
    public let username: String
    public let name: String?
}

extension FWUserInfo: CustomDebugStringConvertible {
    public var debugDescription: String {
"""
uid: \(uid)
username: \(username)
name: \(name ?? "")
"""
    }
}
