import AuthenticationManager from './AuthenticationManager';

import type Credential from './models/Credential';
import type FWUserInfo from './models/FWUserInfo';
import type LoginResult from './models/LoginResult';
import type FWError from './models/FWError';

import type BusinessResponseData from './models/Business';
import type { Business } from './models/Business';
import type ChannelResponseData from './models/Channel';
import type { Channel } from './models/Channel';
import type StoreResponseData from './models/Store';
import type { Store } from './models/Store';
import type CurrentOrganizationInfo from './models/CurrentOrganizationInfo';

import VideoScreen from './component/VideoScreen';

export default AuthenticationManager;

export { Credential, FWUserInfo, LoginResult, FWError };
export {
  BusinessResponseData,
  Business,
  ChannelResponseData,
  Channel,
  StoreResponseData,
  Store,
  CurrentOrganizationInfo,
};
export { VideoScreen };
