//
//  Orginazation.swift
//  SocialCommerceExample
//
//  Created by Jeff Zheng on 2022/5/28.
//

import Foundation

struct SCBusiness: Codable {
    let businessId: String
    let businessName: String?
}

struct SCChannel: Codable {
    let channelId: String
    let channelName: String?
}

struct SCStore: Codable {
    let storeId: String
    let storeName: String?
}

struct SCBusinessResponseData: Codable {
    var businessList: [SCBusiness]?
    var page: UInt?
    var pageSize: UInt?
}

struct SCChannelResponseData: Codable {
    var channelList: [SCChannel]?
    var page: UInt?
    var pageSize: UInt?
}

struct SCStoreResponseData: Codable {
    var storeList: [SCStore]?
    var page: UInt?
    var pageSize: UInt?
}

struct CurrentOrganizationInfo: Codable {
    var userInfo: FWUserInfo?
    var business: SCBusiness?
    var channel: SCChannel?
}
