"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'AuthenticationModule' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const AuthenticationModule = _reactNative.NativeModules.AuthenticationModule ? _reactNative.NativeModules.AuthenticationModule : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});
var _default = AuthenticationModule;
exports.default = _default;
//# sourceMappingURL=AuthenticationModule.js.map